Skip to content
vocapable.Docs

Search call transcripts you may read

GET
/v1/workspace/transcripts/search
curl --request GET \
--url 'https://api.vocapable.com/v1/workspace/transcripts/search?q=example' \
--header 'Authorization: Bearer <token>'
q
required
Q
string
>= 2 characters <= 120 characters

Successful Response

Media typeapplication/json
WorkspaceTranscriptSearch
object
query
required
Query
string
data
required
Data
Array<object>
WorkspaceTranscriptSearchHit
object
call_id
required
Call Id
string
contact_id
required
Any of:
string
contact_name
required
Any of:
string
handler
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
requested_at
required
Requested At
string format: date-time
snippet
required
Snippet
string
matches
required
Matches
integer
Examplegenerated
{
"query": "example",
"data": [
{
"call_id": "example",
"contact_id": "example",
"contact_name": "example",
"handler": {
"user_id": "example",
"name": "example"
},
"requested_at": "2026-04-15T12:00:00Z",
"snippet": "example",
"matches": 1
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}